Create Global Auto Ack Rules

Prev Next

This URLis used to create auto ack rules.

Resource URL

POST /globalautoack/rules

Request Parameters

URL Parameters:

N/A

Payload Parameters:

Field Name Description Data Type Mandatory
attackId Attack id String Yes
targetEndpoint Target endpoint String Yes
attackerEndpoint Attacker endpoint String Yes
expiration Expiration String Yes
comment Comment String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful, -1 otherwise Number

Example

Request

POST https://<NSM_IP>/sdkapi/globalautoack/rules

Payload

{
    "attackId":"0x45d29400",
    "targetEndpoint":"1.12.4.4",
    "attackerEndpoint":"1.1.1.1",
    "expiration":"2016-01-08 00:00:00.0",
    "comment":"adssfsd"
}

Response

{
   "status": 1
} 
 

Error Information

N/A